/// Provides JSON:API client for Flutter, browsers and vm.
///
/// There are two clients implementation provided by this library.
/// - [Client] is the most flexible but low level. It operates
/// generic [Request] and [Response] objects and performs basic operations
/// such as JSON conversion and error handling. It is agnostic to the document
/// structure (except for the errors)
library client;

export 'package:json_api/src/client/client.dart';
export 'package:json_api/src/client/request.dart';
export 'package:json_api/src/client/response/collection_fetched.dart';
export 'package:json_api/src/client/response/related_resource_fetched.dart';
export 'package:json_api/src/client/response/relationship_fetched.dart';
export 'package:json_api/src/client/response/relationship_updated.dart';
export 'package:json_api/src/client/response/request_failure.dart';
export 'package:json_api/src/client/response/resource_created.dart';
export 'package:json_api/src/client/response/resource_fetched.dart';
export 'package:json_api/src/client/response/resource_updated.dart';
export 'package:json_api/src/client/routing_client.dart';
